be.vlaanderen.mercurius.mohm.common.v7

## Class DecisionBTCType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.DecisionBTCType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class DecisionBTCType
      extends Object
      implements Serializable

  Generiek type voor het luik BTC in de beslissing

  Java class for DecisionBTCType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DecisionBTCType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MotivationRefused" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MotivationType" minOccurs="0"/>
               <element name="BTCAdjustmentAdvice" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionBTCAdviceType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionBTCType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DecisionBTCAdviceType>` | `getBTCAdjustmentAdvices()` Gets the value of the btcAdjustmentAdvices property.
    `String` | `getMotivationRefused()` Gets the value of the motivationRefused property.
    `void` | `setMotivationRefused(String value)` Sets the value of the motivationRefused property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionBTCType

          public DecisionBTCType()

  - ### Method Detail

    - #### getMotivationRefused

          public String getMotivationRefused()

      Gets the value of the motivationRefused property.
      Returns:
        possible object is `String`

    - #### setMotivationRefused

          public void setMotivationRefused(String value)

      Sets the value of the motivationRefused property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBTCAdjustmentAdvices

          public List<DecisionBTCAdviceType> getBTCAdjustmentAdvices()

      Gets the value of the btcAdjustmentAdvices property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdjustmentAdvices property.

      For example, to add a new item, do as follows:

              getBTCAdjustmentAdvices().add(newItem);

      Objects of the following type(s) are allowed in the list `DecisionBTCAdviceType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.